<template>
<div>
    <label>{{title}} :</label>
        <select v-model="choice" :required="required"  v-on:change="handleChange">
            <option v-for="option in options" v-bind:key="option">{{option}}</option>
        </select> 
</div>
</template>

<script>
import './DropDownField.css';

export default {
    props: {
        title: {
          type: String,
          default: ""
        },
        options: {
          type: Array,
          default: []
        },
        required: {
          type: Boolean,
          default: false
        },
        choice: {
          type: String,
          default: '' 
        },
        setChoice: { type: Function }
    },
    methods:{
        handleChange(){
            this.setChoice(this.choice);
        }
    }
}
</script>